Legacy Product Software Updates

//Legacy Product Software Updates
Legacy Product Software Updates 2017-10-18T16:46:05+00:00

Discontinued Product Software

HyperWare-I (below) is for use only with the HyperLogger and ModuLogger products and is NOT compatible with  IntelliLogger products.
HyperWare-I for HyperLogger, ModuLogger and ModuLogger Mini

Final Release version of HyperWare-I is V4.77 which is compatible with Windows platforms up to and including 32 bit WinXP

Compatible instrument firmware is V4.72.

Instrument firmware updates require factory site upgrade and may not be available for legacy discontinued products.  Contact Logic Beach directly for available firmware upgrade options.

Crakker Communications for Windows

Final Release version of Crakker Comm Software is V3.0.1.18 which is compatible with Windows platforms up to and including 32 bit WinXP

Compatible instrument firmware is V2.0

Instrument firmware updates require factory site upgrade and may not be available for legacy discontinued products.  Contact Logic Beach directly for available firmware upgrade options.